[package]
name = "agevote-frontend-wasm"
version = "0.1.0"
edition = "2021"

[lib]
crate-type = ["cdylib", "rlib"]

[dependencies]
wasm-bindgen = "0.2"
web-sys = {version="0.3", features=["console"]}

kyber-rs = { git = "https://gitlab.com/agepoly/it/dev/agevote/agevote-backend", branch="main" }
base58 = "0.2.0"
base64 = "0.21.0"
getrandom = { version = "0.2", features = ["js"] }
crypto_box = { version = "0.8.2", features = ["seal"] }
sha2 = "0.10.6"
rand = { version = "0.8.5", features = ["getrandom"] }